//Below is the 78 chars line!
//----------------------------------------------------------------------------
//Jason Winnebeck

#ifndef _MUUDPIC_H_
#define _MUUDPIC_H_

#ifndef NULL
#define NULL 0
#endif

#ifndef STDIN
#define STDIN 0
#endif

//Shared constants between client and server

typedef unsigned char uchar;

const int   ERROR = -1;   //General error
const int   OLDVER = -2;  //Error if version is too old

const uchar VERSION = 1;  //Server/Client version check
const uchar GOODVER = 2;  //Version is ok
const uchar BADVER  = 3;  //Version bad

//possible packet types (first byte)
//0 is NULL, the end of packet
const uchar  NEW = 1;
const uchar  MSG = 2;
const uchar EXIT = 3;
const uchar PING = 4;

const int   CPORT = 2050; //Port clients connect to (STREAM)
const int   BPORT = 2051; //Port clients use after connect (UDP)

#endif
